
Smart Proxy - Feature #26591

Raise minimum Puppet version to 4.4

04/11/2019 11:59 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Puppet   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/686,

https://github.com/theforeman/smart-pro

xy/pull/637,

https://github.com/theforeman/smart-pro

xy/pull/666

  

Description

Currently there's still a lot of code to support Puppet 3, but that's EOL. There's also some code for early 4.x versions that nobody

should be using anymore. 4.4+ doesn't need any special version handling so that'll be the minimum new version.

Related issues:

Related to Installer - Refactor #27053: Drop Puppet 3 support from the proxy Closed

Related to Smart Proxy - Refactor #30855: Drop unused Puppet test fixtures Closed

Related to Smart Proxy - Refactor #30857: Merge Puppet Proxy Puppet API provi... Ready For Testing

Associated revisions

Revision 5b1f39cd - 07/15/2019 12:59 PM - Ewoud Kohl van Wijngaarden

Refs #26591 - Improve BMC logging output

Revision 04f03762 - 07/15/2019 12:59 PM - Ewoud Kohl van Wijngaarden

Refs #26591 - Optimize Proxy::Bmc.installed?

Revision 08a556c2 - 07/15/2019 12:59 PM - Ewoud Kohl van Wijngaarden

Refs #26591 - Stub Rubyipmi.is_provider_installed?

With the removal of the Puppet gem, it looks like /sbin is no longer

guaranteed to be in PATH. Since these tests shouldn't care about that,

we can pretend by stubbing.

Revision 7e7015ab - 07/15/2019 12:59 PM - Ewoud Kohl van Wijngaarden

Fixes #26591 - Remove puppet_proxy_legacy (Puppet 3)

This drops legacy Puppet support and relies on the Puppet API to

retrieve classes. This means at least Puppet 4.4 is required. Since

Puppet 4 also removed puppet kick, that provider is removed as well.

Revision a3a98f6e - 07/16/2019 07:36 AM - Evgeni Golov

Refs #26591 - don't try to load puppet_proxy_legacy anymore

Revision c6a06580 - 11/29/2019 09:49 AM - Ewoud Kohl van Wijngaarden

Refs #26591 - Drop unused ResourceTypeApiv3

7e7015aba068db541bd4f4cf1856bf69ebbe2953 removed the legacy Puppet

implementation but left an unused ResourceTypeApiv3 class.
History

#1 - 04/11/2019 12:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/smart-proxy/pull/637 added

#2 - 06/14/2019 08:40 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #27053: Drop Puppet 3 support from the proxy added

#3 - 07/15/2019 01:00 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Fixed in Releases 1.23.0 added

#4 - 07/15/2019 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset 7e7015aba068db541bd4f4cf1856bf69ebbe2953.

#5 - 07/16/2019 06:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/666 added

#6 - 11/29/2019 09:53 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/686 added

#7 - 09/16/2020 09:23 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #30855: Drop unused Puppet test fixtures added

#8 - 09/16/2020 09:29 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #30857: Merge Puppet Proxy Puppet API provider code into the Puppet module added
